package ru.dbotthepony.kstarbound.defs.world

import com.google.common.collect.ImmutableList
import ru.dbotthepony.kstarbound.collect.WeightedList
import ru.dbotthepony.kstarbound.json.builder.JsonFactory

@JsonFactory
data class CelestialNames(
	val systemNames: WeightedList<String> = WeightedList(),
	val systemPrefixNames: WeightedList<String> = WeightedList(),
	val systemSuffixNames: WeightedList<String> = WeightedList(),
	val planetarySuffixes: ImmutableList<String> = ImmutableList.of(),
	val satelliteSuffixes: ImmutableList<String> = ImmutableList.of(),
)